# Features

## Added

* [x] Modular structure while providing a quick solution to start your project (the main crate)
* [x] Powered by the parallel ECS library [Specs]
* [x] [gfx]-based rendering engine with high customizability
* [x] 2D **AND** 3D support
* [x] Input abstraction for keyboard and mouse with binding configuration defined in simple files
* [x] Parallel asset loading with high extensibility and hot-reloading
* [x] Vertex skinning and property animation
* [x] 3D audio with support for multiple emitters
* [x] Sprite rendering and texture animation
* [x] Basic UI support for text, text fields, buttons and images
* [x] UI Layouting system
* [x] [glTF] Scene importer
* [x] Advanced push-down automaton state manager
* [x] Gamepad support
* [x] Scenes and Prefabs loading with RON (json-like) files


## Planned

* [ ] Networking (WIP!)
* [ ] Engine REPL (WIP!)
* [ ] Scripting support
* [ ] Platform support: Android, iOS
* [ ] Modular, composable and extensible editor that can be fully controlled by a REPL
* [ ] Advanced UI components (dropdown lists, checkboxes, switches)

[Specs]: https://github.com/slide-rs/specs
[gfx]: https://github.com/gfx-rs/gfx
[glTF]: https://www.khronos.org/gltf/
